Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class TypedMap.TypedEntrySet.TypedEntry

    java.lang.Object
      org.jboss.portal.common.util.TypedMap.TypedEntrySet.TypedEntry

All Implemented Interfaces:
  java.util.Map.Entry<EK,EV>

Enclosing class:
  TypedMap.TypedEntrySet

    public class TypedMap.TypedEntrySet.TypedEntry

extends java.lang.Object
implements java.util.Map.Entry<EK,EV>

Constructor Summary
`TypedMap.TypedEntrySet.TypedEntry(java.util.Map.Entry<IK,IV> delegate)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`EK` | `getKey()`
`EV` | `getValue()`
`int` | `hashCode()`
`EV` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedMap.TypedEntrySet.TypedEntry

    public TypedMap.TypedEntrySet.TypedEntry(java.util.Map.Entry<IK,IV> delegate)

Method Detail

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry<EK,EV>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map.Entry<EK,EV>`
  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getKey

    public EK getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<EK,EV>`

### getValue

    public EV getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<EK,EV>`

### setValue

    public EV setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<EK,EV>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD